org.apache.ignite.internal.visor.node

## Class VisorMemoryConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorMemoryConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorMemoryConfiguration
    extends VisorDataTransferObject

Data transfer object for memory configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorMemoryConfiguration()` Default constructor.
`VisorMemoryConfiguration(DataStorageConfiguration memCfg)` Create data transfer object.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConcurrencyLevel()`
`String` `getDefaultMemoryPolicyName()`
`long` `getDefaultMemoryPolicySize()`
`List<VisorMemoryPolicyConfiguration>` `getMemoryPolicies()`
`int` `getPageSize()`
`long` `getSystemCacheInitialSize()`
`long` `getSystemCacheMaxSize()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorMemoryConfiguration

    public VisorMemoryConfiguration()

Default constructor.

#### VisorMemoryConfiguration

    public VisorMemoryConfiguration(DataStorageConfiguration memCfg)

Create data transfer object.

Parameters:
  `memCfg` - Memory configuration.

### Method Detail

#### getConcurrencyLevel

    public int getConcurrencyLevel()

Returns:
  Concurrency level.

#### getSystemCacheInitialSize

    public long getSystemCacheInitialSize()

Returns:
  Initial size of a memory region reserved for system cache.

#### getSystemCacheMaxSize

    public long getSystemCacheMaxSize()

Returns:
  Maximum memory region size reserved for system cache.

#### getPageSize

    public int getPageSize()

Returns:
  Page size.

#### getDefaultMemoryPolicyName

    public String getDefaultMemoryPolicyName()

Returns:
  Name of DataRegion to be used as default.

#### getDefaultMemoryPolicySize

    public long getDefaultMemoryPolicySize()

Returns:
  Default memory policy size.

#### getMemoryPolicies

    public List<VisorMemoryPolicyConfiguration> getMemoryPolicies()

Returns:
  Collection of DataRegionConfiguration objects.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020